From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/z3/
Date: Sat, 23 Jul 2022 06:22:15 +0000 (UTC) [thread overview]
Message-ID: <1658557328.9df47d876e9ae84470e1d4663473601f1d4dc1a4.mgorny@gentoo> (raw)
commit: 9df47d876e9ae84470e1d4663473601f1d4dc1a4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 23 04:45:35 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 23 06:22:08 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9df47d87
sci-mathematics/z3: Bump to 4.10.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-mathematics/z3/Manifest | 1 +
sci-mathematics/z3/z3-4.10.1.ebuild | 108 ++++++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/sci-mathematics/z3/Manifest b/sci-mathematics/z3/Manifest
index 389147ddb398..03a44d4ec158 100644
--- a/sci-mathematics/z3/Manifest
+++ b/sci-mathematics/z3/Manifest
@@ -1,2 +1,3 @@
+DIST z3-4.10.1.tar.gz 5366092 BLAKE2B 2b857b7a1b3b71e0b7d2c55b8971fb27115f65b6995e0330786d24badfae563e4a63140790c197255ec566b78ff699c5f0aac99ffeb5eb45c05b2175f3395c20 SHA512 6c8e9f074d4b87f9388384d10dcde51fbdf0e1ee58cf2a5d321e3779ac5054a0ec7bfed3df4f8d3563c457ca7f5189ca310909656e500b6a8803f0df2c693baf
DIST z3-4.8.17.tar.gz 5232392 BLAKE2B 80dbb5d48811eb6022c0d0117d1e954bae7b27ff984f24cdfbc9158eb548349f817f30ea231d1119aadeedaec63765834bff6f6d21276d0bf61c30212444f224 SHA512 95517014ec1798c2552253dd5cde6f955896ab297a4f56294f4bc6f2c5428069015f513c6eb9a090a809cfcf4cb1cc38cc83818f19b5b1051e4e6c06f973747d
DIST z3-4.9.1.tar.gz 5358020 BLAKE2B b707084424b615a43dcefbc395d6cf0519f3d6ea3ab1cc8b34b1810d5eb241afa22eae694e4dfc756fff42179a5dabe10052f88aab02953154ada8334f7e0b64 SHA512 0c44e10d039c3bf16591a7b94e3a3209bc334635106ac7ae4afda95541d13d4fc39214646662683c26b4874846e0d83813215e189ce5422d13f8ce7c2ac4db51
diff --git a/sci-mathematics/z3/z3-4.10.1.ebuild b/sci-mathematics/z3/z3-4.10.1.ebuild
new file mode 100644
index 000000000000..57224c747cf3
--- /dev/null
+++ b/sci-mathematics/z3/z3-4.10.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_ECLASS=cmake
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit cmake-multilib java-pkg-opt-2 python-single-r1
+
+DESCRIPTION="An efficient theorem prover"
+HOMEPAGE="https://github.com/Z3Prover/z3/"
+SRC_URI="https://github.com/Z3Prover/z3/archive/${P}.tar.gz"
+S=${WORKDIR}/z3-${P}
+
+SLOT="0/$(ver_cut 1-2)"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="doc examples gmp isabelle java python"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ gmp? ( dev-libs/gmp:0=[cxx(+),${MULTILIB_USEDEP}] )
+"
+DEPEND="
+ ${RDEPEND}
+ java? ( >=virtual/jdk-1.8 )
+"
+BDEPEND="
+ doc? ( app-doc/doxygen[dot] )
+"
+
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_prepare() {
+ cmake_src_prepare
+ java-pkg-opt-2_src_prepare
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
+ -DZ3_USE_LIB_GMP=$(usex gmp)
+ -DZ3_ENABLE_EXAMPLE_TARGETS=OFF
+ -DZ3_BUILD_DOCUMENTATION=$(multilib_native_usex doc)
+ -DZ3_BUILD_PYTHON_BINDINGS=$(multilib_native_usex python)
+ -DZ3_BUILD_JAVA_BINDINGS=$(multilib_native_usex java)
+ -DZ3_INCLUDE_GIT_DESCRIBE=OFF
+ -DZ3_INCLUDE_GIT_HASH=OFF
+ )
+
+ multilib_is_native_abi && use java && mycmakeargs+=( -DJAVA_HOME="$(java-config -g JAVA_HOME )" )
+
+ cmake_src_configure
+}
+
+multilib_src_test() {
+ cmake_build test-z3
+ set -- "${BUILD_DIR}"/test-z3 /a
+ echo "${@}" >&2
+ "${@}" || die
+}
+
+multilib_src_install_all() {
+ dodoc README.md
+ use examples && dodoc -r examples
+ use python && python_optimize
+
+ if use isabelle; then
+ insinto /usr/share/Isabelle/contrib/${P}/etc
+ newins - settings <<-EOF
+ Z3_COMPONENT="\$COMPONENT"
+ Z3_HOME="${EPREFIX}/usr/bin"
+ Z3_SOLVER="${EPREFIX}/usr/bin/z3"
+ Z3_REMOTE_SOLVER="z3"
+ Z3_VERSION="${PV}"
+ Z3_INSTALLED="yes"
+ Z3_NON_COMMERCIAL="yes"
+ EOF
+ fi
+}
+
+pkg_postinst() {
+ if use isabelle; then
+ if [[ -f ${ROOT}/etc/isabelle/components ]]; then
+ sed -e "/contrib\/${PN}-[0-9.]*/d" \
+ -i "${ROOT}/etc/isabelle/components" || die
+ cat <<-EOF >> "${ROOT}/etc/isabelle/components" || die
+ contrib/${P}
+ EOF
+ fi
+ fi
+}
+
+pkg_postrm() {
+ if use isabelle; then
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ if [[ -f "${ROOT}/etc/isabelle/components" ]]; then
+ # Note: this sed should only match the version of this ebuild
+ # Which is what we want as we do not want to remove the line
+ # of a new Isabelle component being installed during an upgrade.
+ sed -e "/contrib\/${P}/d" \
+ -i "${ROOT}/etc/isabelle/components" || die
+ fi
+ fi
+ fi
+}
next reply other threads:[~2022-07-23 6:22 UTC|newest]
Thread overview: 181+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-23 6:22 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-19 9:52 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/z3/ Michał Górny
2024-10-19 9:22 Arthur Zamarin
2024-10-19 9:10 Arthur Zamarin
2024-10-19 8:43 Arthur Zamarin
2024-10-19 8:41 Arthur Zamarin
2024-10-19 8:14 Arthur Zamarin
2024-10-19 7:47 Arthur Zamarin
2024-10-11 2:47 Michał Górny
2024-03-23 14:36 Michał Górny
2024-03-23 13:39 Sam James
2024-03-23 11:53 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-16 18:14 Michał Górny
2024-03-16 17:16 Arthur Zamarin
2024-03-16 17:08 Arthur Zamarin
2024-03-16 16:52 Arthur Zamarin
2024-03-16 16:35 Arthur Zamarin
2024-03-16 11:48 Arthur Zamarin
2024-03-16 10:23 Arthur Zamarin
2024-03-08 11:09 Sam James
2024-03-08 5:40 Michał Górny
2024-03-04 4:14 Sam James
2024-02-26 17:48 Michał Górny
2024-02-09 3:38 Michał Górny
2024-02-09 1:04 Sam James
2024-02-08 14:48 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:43 Michał Górny
2024-02-08 14:43 Michał Górny
2024-02-08 14:43 Michał Górny
2024-01-22 3:40 Michał Górny
2024-01-06 19:50 Michał Górny
2024-01-06 18:46 Michał Górny
2024-01-06 18:46 Michał Górny
2024-01-06 12:22 Arthur Zamarin
2024-01-06 11:54 Sam James
2024-01-06 11:54 Sam James
2024-01-06 11:54 Sam James
2023-12-21 7:27 Arthur Zamarin
2023-12-21 6:52 Sam James
2023-12-21 6:52 Sam James
2023-12-21 6:52 Sam James
2023-12-21 6:52 Sam James
2023-12-21 6:52 Sam James
2023-12-07 4:18 Michał Górny
2023-12-05 14:32 Michał Górny
2023-12-02 12:02 Michał Górny
2023-12-02 11:31 Arthur Zamarin
2023-12-02 10:43 Michał Górny
2023-12-02 10:35 Arthur Zamarin
2023-12-02 10:16 Arthur Zamarin
2023-12-02 10:14 Arthur Zamarin
2023-12-02 10:14 Arthur Zamarin
2023-04-08 18:45 Michał Górny
2023-04-08 17:57 Arthur Zamarin
2023-04-08 17:50 Arthur Zamarin
2023-04-08 17:42 Arthur Zamarin
2023-04-08 17:37 Arthur Zamarin
2023-04-08 17:31 Arthur Zamarin
2023-04-08 16:59 Arthur Zamarin
2023-01-19 6:08 Michał Górny
2023-01-15 7:02 Michał Górny
2023-01-10 4:22 Maciej Barć
2022-11-27 2:45 WANG Xuerui
2022-09-23 13:51 Michał Górny
2022-09-23 10:05 Michał Górny
2022-09-23 10:05 Michał Górny
2022-09-23 8:11 Michał Górny
2022-09-23 6:58 Arthur Zamarin
2022-09-22 17:03 Arthur Zamarin
2022-09-22 8:05 Jakov Smolić
2022-09-22 8:05 Jakov Smolić
2022-09-22 8:04 Jakov Smolić
2022-09-22 8:04 Jakov Smolić
2022-09-04 16:22 Michał Górny
2022-08-19 16:54 Sam James
2022-08-19 16:54 Sam James
2022-08-19 10:38 Arthur Zamarin
2022-08-19 10:34 Arthur Zamarin
2022-08-19 9:27 Michał Górny
2022-08-02 19:50 Arthur Zamarin
2022-07-30 6:11 Michał Górny
2022-07-07 10:02 Michał Górny
2022-07-07 8:26 Michał Górny
2022-06-06 11:33 Michał Górny
2022-06-06 10:22 Jakov Smolić
2022-06-06 10:22 Jakov Smolić
2022-06-06 10:20 Jakov Smolić
2022-06-06 10:20 Jakov Smolić
2022-06-06 10:20 Jakov Smolić
2022-05-05 7:09 Michał Górny
2022-04-26 14:01 Arthur Zamarin
2022-04-26 3:48 Sam James
2022-04-25 19:38 Arthur Zamarin
2022-04-25 19:37 Arthur Zamarin
2022-04-25 2:40 Sam James
2022-04-25 2:40 Sam James
2022-04-24 20:35 Michał Górny
2022-03-21 13:36 Maciej Barć
2022-03-21 8:54 Michał Górny
2022-02-12 9:15 Michał Górny
2022-02-11 21:32 Arthur Zamarin
2022-02-11 20:13 Arthur Zamarin
2022-02-10 11:43 Sam James
2022-02-10 11:43 Sam James
2022-02-10 10:45 Jakov Smolić
2022-01-11 9:59 Michał Górny
2022-01-10 23:00 Sam James
2022-01-09 1:11 Sam James
2022-01-09 1:11 Sam James
2022-01-08 18:03 Jakov Smolić
2022-01-08 18:03 Jakov Smolić
2021-12-24 9:05 Michał Górny
2021-11-19 9:03 Michał Górny
2021-10-20 2:42 Sam James
2021-08-06 3:32 Michał Górny
2021-08-06 0:30 Sam James
2021-08-03 15:36 Agostino Sarubbo
2021-07-11 6:17 Michał Górny
2021-06-18 13:15 David Seifert
2021-06-05 8:28 Michał Górny
2021-05-17 1:37 Sam James
2021-03-06 10:45 Michał Górny
2021-03-06 7:26 Sam James
2021-03-05 21:42 Sam James
2021-03-05 20:33 Sam James
2021-03-05 15:02 Agostino Sarubbo
2021-03-05 14:19 Agostino Sarubbo
2021-01-21 10:52 Michał Górny
2020-12-04 14:24 Mikle Kolyada
2020-11-03 11:00 Michał Górny
2020-11-03 10:57 Sam James
2020-10-26 23:49 Sergei Trofimovich
2020-10-26 2:51 Sam James
2020-10-26 0:15 Sam James
2020-10-25 23:42 Thomas Deutschmann
2020-09-11 7:17 Michał Górny
2020-08-05 15:18 Michał Górny
2020-08-05 14:17 Agostino Sarubbo
2020-08-01 9:01 Sergei Trofimovich
2020-07-31 19:34 Sam James
2020-07-30 20:23 Sam James
2020-06-21 20:54 Sergei Trofimovich
2020-06-08 8:56 Michał Górny
2020-05-14 6:26 Michał Górny
2020-05-14 6:26 Michał Górny
2020-03-20 19:17 Patrick McLean
2020-02-10 12:12 Michał Górny
2019-12-08 11:20 Michał Górny
2019-12-07 23:50 David Seifert
2019-11-23 18:48 Aaron Bauman
2019-11-22 10:00 Mikle Kolyada
2019-11-20 11:21 Agostino Sarubbo
2019-11-18 11:50 Agostino Sarubbo
2019-09-20 7:34 Michał Górny
2019-09-16 22:13 Aaron Bauman
2019-09-13 15:47 Mikle Kolyada
2019-09-11 11:06 Agostino Sarubbo
2019-09-10 7:10 Agostino Sarubbo
2019-09-10 7:06 Agostino Sarubbo
2019-06-08 8:00 Michał Górny
2019-06-01 8:15 Michał Górny
2019-03-21 17:43 Michał Górny
2019-03-10 8:08 Michał Górny
2019-02-28 14:35 Mikle Kolyada
2019-02-17 17:09 Sergei Trofimovich
2019-02-13 14:28 Michał Górny
2019-01-09 20:30 Michał Górny
2018-12-13 20:52 Michał Górny
2018-12-13 20:52 Michał Górny
2018-12-13 20:52 Michał Górny
2018-12-13 20:52 Michał Górny
2017-04-26 8:13 Mark Wright
2017-01-28 10:34 Mark Wright
2017-01-28 8:49 Mark Wright
2017-01-03 10:25 Mark Wright
2017-01-02 13:48 Mark Wright
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1658557328.9df47d876e9ae84470e1d4663473601f1d4dc1a4.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox